Bug 327481 - Missing perl(HTTP::Request::AsCGI) dependency
Missing perl(HTTP::Request::AsCGI) dependency
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Catalyst-Runtime (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 06:52 EDT by Matt Dainty
Modified: 2008-03-28 09:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.7012-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 09:56:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Dainty 2007-10-11 06:52:56 EDT
Description of problem:

The perl-Catalyst-Runtime.spec lists perl(HTTP::Request::AsCGI) as a
BuildRequires, but the resulting binary RPM seems to lack it as a runtime
require. This showed up as a missing dependency when I was packaging
Catalyst::View::JSON and using mock to build/test it.

Version-Release number of selected component (if applicable):

perl-Catalyst-Runtime-5.7007-4

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I fixed it by adding the following to the perl-Catalyst-Runtime.spec file:

Requires: perl(HTTP::Request::AsCGI) >= 0.5
Comment 1 Chris Weyl 2007-11-05 11:04:09 EST
Working on updating to 5.7011 -- will include this in that update :)
Comment 2 Jan Pazdziora 2008-02-28 08:57:39 EST
Rawhide still seems to have

perl-Catalyst-Runtime-5.7007-4.fc7.noarch.rpm

which does not include the perl(HTTP::Request::AsCGI) Requires ...
Comment 3 Chris Weyl 2008-03-01 14:31:17 EST
Just built into rawhide (and updated to 5.7012).  If there aren't any screams,
I'll build it out to F7/8 as well.
Comment 4 Fedora Update System 2008-03-17 02:40:24 EDT
perl-Catalyst-Devel-1.03-2.fc8,perl-Catalyst-Runtime-5.7012-2.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-03-17 02:41:41 EDT
perl-Catalyst-Devel-1.03-2.fc7,perl-Catalyst-Runtime-5.7012-2.fc7 has been submitted as an update for Fedora 7
Comment 6 Fedora Update System 2008-03-21 18:10:27 EDT
perl-Catalyst-Runtime-5.7012-2.fc8, perl-Catalyst-Devel-1.03-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Catalyst-Runtime perl-Catalyst-Devel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2597
Comment 7 Fedora Update System 2008-03-28 09:56:41 EDT
perl-Catalyst-Runtime-5.7012-2.fc7, perl-Catalyst-Devel-1.03-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-03-28 09:57:47 EDT
perl-Catalyst-Runtime-5.7012-2.fc8, perl-Catalyst-Devel-1.03-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.